package org.exoplatform.cs.service.sla;

import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.container.xml.InitParams;
import org.exoplatform.container.xml.ObjectParameter;


public class SlaPlugin extends BaseComponentPlugin {

  private SlaConfig slaConfig;

  public SlaConfig getSlaConfig() {
    return slaConfig;
  }

  public void setSlaConfig(SlaConfig slaConfig) {
    this.slaConfig = slaConfig;
  }

  public SlaPlugin(InitParams params) {
    ObjectParameter param = params.getObjectParam("sla");

    if (param != null) {
      slaConfig = (SlaConfig) param.getObject();
    }
  }
}
